package com.house365.ws.service.interfaces;

import com.house365.beans.entity.CloudCustomerEntity;

import java.util.List;
import java.util.Map;

/**
 * @author whh
 */
public interface IStaffDuty {

    void updateDutyStaff();

    void addCloudActivity();

    void addCloudActivityNew();

    void updateProjectStatus();

    void setCloudCount();

    void syncPlatCustomers();

    void putExterCusToCrm();

    void setCloudReportCount();

    List<Map<String, Object>> queryListByStatus(List<CloudCustomerEntity> sendList, Map<String, Object> queryMap);

    void updateJgStatus();

    void setCloudReportCountYear();

    void setCloudReportCountJi();

    void setCloudReportCountBn();

    void addMarketActivity();
}
